Skip to content
This repository has been archived by the owner. It is now read-only.
Permalink
Browse files
Updated requirements and added version file.
  • Loading branch information
mooshu1x2 committed Jul 15, 2016
1 parent 9fe498b commit 30127500f4ae195e7944ca490f8941954ee76165
Show file tree
Hide file tree
Showing 3 changed files with 71 additions and 16 deletions.
@@ -1 +1,18 @@
PyQt5==5.6
# -*- coding: utf-8 -*-
#
# Copyright 2016 The Charles Stark Draper Laboratory, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

requests>=2.0.0
pyqt5==5.6
@@ -14,17 +14,17 @@
# See the License for the specific language governing permissions and
# limitations under the License.

from __future__ import absolute_import
#from __future__ import absolute_import
from setuptools import setup, find_packages
from setuptools.command.test import test as TestCommand
import io, os, sys

if sys.version_info[:2] < (3, 0):
m = "Python 3 or later is required for UserAle (%d.%d detected)."
if sys.version_info[:2] < (3, 5):
m = "Python 3.5 or later is required for UserAle (%d.%d detected)."
raise ImportError (m % sys.version_info[:2])

if sys.argv[-1] == 'setup.py':
print ("To install, run 'python setup.py install'")
print ("To install, run 'python3 setup.py install'")
print ()

def read (*filenames, **kwargs):
@@ -36,6 +36,7 @@ def read (*filenames, **kwargs):
buf.append (f.read ())
return sep.join (buf)


# This is a plug-in for setuptools that will invoke py.test
# when you run python setup.py test
class PyTest (TestCommand):
@@ -48,32 +49,46 @@ def run_tests (self):
import pytest # import here, because outside the required eggs aren't loaded yet
sys.exit (pytest.main (self.test_args))

# Get the version string
g = {}
with open (os.path.join ('userale', 'version.py'), 'rt') as f:
exec (f.read (), g)
version = g['__version__']

setup (
name = "UserAle",
version = "1.0",
url = "https://github.com/draperlaboratory/userale.pyqt5",
license = "Apache Software License",
author = "Michelle Beard",
author_email = "mbeard@draper.com",
description = "UserAle.pyqt5 provides an easy way to generate highly detailed log streams from a PyQT5 application.",
name = 'UserAle',
version = version,
url = 'https://github.com/draperlaboratory/userale.pyqt5',
license = 'Apache Software License',
author = 'Michelle Beard',
author_email = 'mbeard@draper.com',
description = 'UserAle provides an easy way to generate highly detailed log streams from a PyQt5 application.',
long_description = __doc__,
classifiers = [
'Development Status :: 4 - Beta',
'Programming Language :: Python',
'Programming Language :: Python :: 3.0',
'Programming Language :: Python :: 3.5',
'Natural Language :: English',
'Environment :: Desktop Environment',
'Intended Audience :: Developers',
'License :: OSI Approved :: Apache Software License',
'Operating System :: OS Independent',
'Private :: Do Not Upload"'
],
keywords = "logs users interactions", # Separate with spaces
keywords = 'logs users interactions', # Separate with spaces
packages = find_packages (exclude=['examples', 'tests']),
include_package_data = True,
zip_safe = False,
tests_require = ['pytest'],
cmdclass = {'test': PyTest},
install_requires = ['PyQt5'],
entry_points = {}
install_requires = ['pyqt5==5.6',
'requests>=2.0.0'
],
entry_points = {
'console_scripts': [
'mouse = userale.tests.testapp:test_app',
'drag = userale.tests.testdragndrop:test_drag',
'drag2 = userale.tests.testdragndrop2:test_drag2'
]
}
)
@@ -0,0 +1,23 @@
# -*- coding: utf-8 -*-
#
# Copyright 2016 The Charles Stark Draper Laboratory, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Version information for UserAle.
This file is imported by ``UserAle.__init__``,
and parsed by ``setup.py``.
"""

__version__ = "1.0.0"

0 comments on commit 3012750

Please sign in to comment.